import React from "react"
import Image from "next/image";
import { profileCardsItems } from "@/types/blog";
import ProfileCard from "../Profile-card/ProfileCard";
interface blogcardprops extends profileCardsItems{
    img?: string;
    title?: string;
    description?: string;
  id?: number;
  handleClick:()=>void;
}

const BlogCard: React.FC<blogcardprops> = ({ img, title, description, id,handleClick, ...props }) => {
  return (
      <div
        className="sm:max-w-sm w-full  shadow-md rounded-md cursor-pointer hover:shadow-xl hover:translate-y-[-2px] transition-all duration-300 ease-in-out overflow-hidden 
        dark:*:text-white group h-full" onClick={handleClick}>
  {
    img &&   
    <Image src={img} width={900} height={900} alt="" className="w-full h-[220px] rounded-t-lg object-cover" />
  }
  <div className="h-[calc(100%-220px)] p-[1em] sm:p-[1.5em] bg-white flex flex-col dark:bg-[#131617] ">
    <h4 className="text-sans font-[700] group-hover:text-primary text-sm sm:text-[18px] my-[.3em] leading-[1.4em] md:line-clamp-2">
      {title}
    </h4>
    <p className="text-subHeadColor my-[5px] text-sm sm:text-[17px] mb-[1em] leading-[1.4em] dark:text-gray-400 md:line-clamp-2">
      {description}
    </p>
    <ProfileCard {...props} />
  </div>
</div>

                      
  )
}

export default BlogCard